<template>

  <div class="hello">
    <button @click.prevent="fetchAllUsers">log moi tout les users</button>
  </div>
    
</template>

<script>

import axios from "axios";
import { ref } from 'vue';

export default {
  name: 'HelloWorld',
  props: {
    msg: String
  },

setup() {
  const users = ref([])

  function fetchAllUsers() {
    axios.get("http://localhost:3500/api/users")
      .then(response => {
        users.value = response.data.data
        console.log(users.value)
      })
      .catch(error => {
        console.log(error)
      })
  }

  return {
    users,
    fetchAllUsers,
  }
  }
}

</script>


<style scoped>

</style>